Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (7 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/configure

    r2973 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-soplex compile project SoPlex with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --disable-pkg-config    disable use of pkg-config (if available)
    10871090  --enable-static[=PKGS]
     
    18771880
    18781881# Get the name of the C compiler and appropriate compiler options
    1879 
    1880 
    1881   # for backward compatibility
    1882   # Check whether --enable-doscompile or --disable-doscompile was given.
    1883 if test "${enable_doscompile+set}" = set; then
    1884   enableval="$enable_doscompile"
    1885   enable_doscompile=$enableval
    1886 else
    1887   enable_doscompile=no
    1888 fi;
    1889 
    1890   # Check whether --enable-msvc or --disable-msvc was given.
    1891 if test "${enable_msvc+set}" = set; then
    1892   enableval="$enable_msvc"
    1893   enable_msvc=$enableval
    1894 else
    1895   enable_msvc=no
    1896      if test "$enable_doscompile" = msvc ; then
    1897        enable_msvc=yes
    1898      elif test "$enable_doscompile" != no ; then
    1899        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1900 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1901    { (exit 1); exit 1; }; }
    1902      fi
    1903 
    1904 fi;
    1905 
    1906   if test "$enable_msvc" = yes; then
    1907     case $build in
    1908       *-cygwin* | *-mingw*) ;;
    1909       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1910 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1911    { (exit 1); exit 1; }; } ;;
    1912     esac
    1913   fi
    1914 
    1915 
    1916  case $build in
     1882case $build in
    19171883  *-mingw*)
    19181884    if test "${LD+set}" = set; then :; else
     
    19211887    ;;
    19221888 esac
    1923  if test $enable_msvc = yes ; then
    1924    if test "x${LD+set}" = xset; then :; else
    1925      LD=link
     1889 case $enable_doscompile in
     1890   msvc)
     1891     if test "x${LD+set}" = xset; then :; else
     1892       LD=link
     1893     fi
     1894     ;;
     1895 esac
     1896
     1897
     1898 # Check whether --enable-doscompile or --disable-doscompile was given.
     1899if test "${enable_doscompile+set}" = set; then
     1900  enableval="$enable_doscompile"
     1901  if test "$enable_doscompile" != no; then
     1902     case $build in
     1903       *-cygwin* | *-mingw*) ;;
     1904       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1905echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1906   { (exit 1); exit 1; }; } ;;
     1907     esac
    19261908   fi
    1927  fi
    1928 
    1929 
    1930 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1931 if test "${enable_static_standardlibs+set}" = set; then
    1932   enableval="$enable_static_standardlibs"
    1933   case "$enableval" in
    1934      no | yes | auto ) ;;
    1935      *)
    1936        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1937 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1938    { (exit 1); exit 1; }; } ;;
    1939    esac
    1940    use_static_standardlibs=$enableval
    1941 else
    1942   use_static_standardlibs=no
     1909else
     1910  enable_doscompile=no
    19431911fi;
    1944 
     1912 case "$enable_doscompile" in
     1913   mingw)
     1914     case $build in
     1915       *-mingw*) enable_doscompile=no ;;
     1916     esac
     1917     ;;
     1918   msvc|no) ;;
     1919   yes) enable_doscompile=mingw ;;
     1920   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1921                    Try configure --help=recursive." >&5
     1922echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1923                    Try configure --help=recursive." >&2;}
     1924   { (exit 1); exit 1; }; }
     1925      ;;
     1926  esac
     1927  if test "$enable_doscompile" != no ; then
     1928    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1929echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1930  fi
    19451931
    19461932
     
    19851971case $build in
    19861972  *-cygwin* | *-mingw*)
    1987              if test "$enable_msvc" = yes ; then
    1988                comps="icl cl gcc"
     1973             if test "$enable_doscompile" = msvc ; then
     1974               comps="icl cl"
    19891975             else
    1990                comps="gcc icl cl"
     1976               comps="gcc cl"
    19911977             fi ;;
    19921978  *-*-solaris*)
     
    28412827            ;;
    28422828        esac
     2829        case $enable_doscompile in
     2830          mingw)
     2831            CFLAGS="-mno-cygwin"
     2832            cat >conftest.$ac_ext <<_ACEOF
     2833/* confdefs.h.  */
     2834_ACEOF
     2835cat confdefs.h >>conftest.$ac_ext
     2836cat >>conftest.$ac_ext <<_ACEOF
     2837/* end confdefs.h.  */
     2838
     2839int
     2840main ()
     2841{
     2842int i=0; i++;
     2843  ;
     2844  return 0;
     2845}
     2846_ACEOF
     2847rm -f conftest.$ac_objext conftest$ac_exeext
     2848if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2849  (eval $ac_link) 2>conftest.er1
     2850  ac_status=$?
     2851  grep -v '^ *+' conftest.er1 >conftest.err
     2852  rm -f conftest.er1
     2853  cat conftest.err >&5
     2854  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2855  (exit $ac_status); } &&
     2856         { ac_try='test -z "$ac_c_werror_flag"
     2857                         || test ! -s conftest.err'
     2858  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2859  (eval $ac_try) 2>&5
     2860  ac_status=$?
     2861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2862  (exit $ac_status); }; } &&
     2863         { ac_try='test -s conftest$ac_exeext'
     2864  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2865  (eval $ac_try) 2>&5
     2866  ac_status=$?
     2867  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2868  (exit $ac_status); }; }; then
     2869  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2870else
     2871  echo "$as_me: failed program was:" >&5
     2872sed 's/^/| /' conftest.$ac_ext >&5
     2873
     2874fi
     2875rm -f conftest.err conftest.$ac_objext \
     2876      conftest$ac_exeext conftest.$ac_ext
     2877            CFLAGS=
     2878          ;;
     2879        esac
    28432880    esac
    28442881  fi
     
    30313068    CFLAGS="$OPT_CFLAGS"
    30323069  fi
    3033 
    30343070else
    30353071  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31823218  clang* ) ;;
    31833219  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3184 
    3185  case $build in
     3220    case $build in
    31863221  *-mingw*)
    31873222    if test "${LD+set}" = set; then :; else
     
    31903225    ;;
    31913226 esac
    3192  if test $enable_msvc = yes ; then
    3193    if test "x${LD+set}" = xset; then :; else
    3194      LD=link
    3195    fi
    3196  fi
     3227 case $enable_doscompile in
     3228   msvc)
     3229     if test "x${LD+set}" = xset; then :; else
     3230       LD=link
     3231     fi
     3232     ;;
     3233 esac
    31973234
    31983235    ;;
    31993236esac
    3200 
    3201 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3202 if test x$use_static_standardlibs != xno ; then
    3203   case $build in
    3204     *-mingw*)
    3205       static_standardlib_flag=-static
    3206       ;;
    3207     *)
    3208       static_standardlib_flag=-static-libgcc
    3209       ;;
    3210   esac
    3211   case " $LDFLAGS " in
    3212     *" $static_standardlib_flag "* ) ;;
    3213     *)
    3214     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3215 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3216     coin_save_LDFLAGS="$LDFLAGS"
    3217     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3218     cat >conftest.$ac_ext <<_ACEOF
    3219 /* confdefs.h.  */
    3220 _ACEOF
    3221 cat confdefs.h >>conftest.$ac_ext
    3222 cat >>conftest.$ac_ext <<_ACEOF
    3223 /* end confdefs.h.  */
    3224 
    3225 int
    3226 main ()
    3227 {
    3228 int i=0;
    3229   ;
    3230   return 0;
    3231 }
    3232 _ACEOF
    3233 rm -f conftest.$ac_objext conftest$ac_exeext
    3234 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3235   (eval $ac_link) 2>conftest.er1
    3236   ac_status=$?
    3237   grep -v '^ *+' conftest.er1 >conftest.err
    3238   rm -f conftest.er1
    3239   cat conftest.err >&5
    3240   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3241   (exit $ac_status); } &&
    3242          { ac_try='test -z "$ac_c_werror_flag"
    3243                          || test ! -s conftest.err'
    3244   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3245   (eval $ac_try) 2>&5
    3246   ac_status=$?
    3247   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3248   (exit $ac_status); }; } &&
    3249          { ac_try='test -s conftest$ac_exeext'
    3250   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3251   (eval $ac_try) 2>&5
    3252   ac_status=$?
    3253   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3254   (exit $ac_status); }; }; then
    3255   echo "$as_me:$LINENO: result: yes" >&5
    3256 echo "${ECHO_T}yes" >&6
    3257 else
    3258   echo "$as_me: failed program was:" >&5
    3259 sed 's/^/| /' conftest.$ac_ext >&5
    3260 
    3261 echo "$as_me:$LINENO: result: no" >&5
    3262 echo "${ECHO_T}no" >&6
    3263        LDFLAGS="$coin_save_LDFLAGS"
    3264        if test $use_static_standardlibs = yes ; then
    3265          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3266 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3267    { (exit 1); exit 1; }; }
    3268        fi
    3269 
    3270 fi
    3271 rm -f conftest.err conftest.$ac_objext \
    3272       conftest$ac_exeext conftest.$ac_ext
    3273     ;;
    3274   esac
    3275 fi
    32763237
    32773238ac_ext=c
     
    32873248 #Let's try if that overcomes configuration problem with VC++ 6.0
    32883249
    3289 
    32903250ac_ext=cc
    32913251ac_cpp='$CXXCPP $CPPFLAGS'
     
    33063266case $build in
    33073267  *-cygwin* | *-mingw*)
    3308       if test "$enable_msvc" = yes ; then
    3309          comps="icl cl g++"
    3310       else
    3311          comps="g++ icl cl"
    3312       fi ;;
     3268             if test "$enable_doscompile" = msvc ; then
     3269               comps="icl cl"
     3270             else
     3271               comps="g++ cl"
     3272             fi ;;
    33133273  *-*-solaris*)
    33143274             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38183778            ;;
    38193779        esac
     3780
     3781        case $enable_doscompile in
     3782          mingw)
     3783            CXXFLAGS="-mno-cygwin"
     3784            cat >conftest.$ac_ext <<_ACEOF
     3785/* confdefs.h.  */
     3786_ACEOF
     3787cat confdefs.h >>conftest.$ac_ext
     3788cat >>conftest.$ac_ext <<_ACEOF
     3789/* end confdefs.h.  */
     3790
     3791int
     3792main ()
     3793{
     3794int i=0; i++;
     3795  ;
     3796  return 0;
     3797}
     3798_ACEOF
     3799rm -f conftest.$ac_objext conftest$ac_exeext
     3800if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3801  (eval $ac_link) 2>conftest.er1
     3802  ac_status=$?
     3803  grep -v '^ *+' conftest.er1 >conftest.err
     3804  rm -f conftest.er1
     3805  cat conftest.err >&5
     3806  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3807  (exit $ac_status); } &&
     3808         { ac_try='test -z "$ac_cxx_werror_flag"
     3809                         || test ! -s conftest.err'
     3810  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3811  (eval $ac_try) 2>&5
     3812  ac_status=$?
     3813  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3814  (exit $ac_status); }; } &&
     3815         { ac_try='test -s conftest$ac_exeext'
     3816  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3817  (eval $ac_try) 2>&5
     3818  ac_status=$?
     3819  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3820  (exit $ac_status); }; }; then
     3821  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3822else
     3823  echo "$as_me: failed program was:" >&5
     3824sed 's/^/| /' conftest.$ac_ext >&5
     3825
     3826fi
     3827rm -f conftest.err conftest.$ac_objext \
     3828      conftest$ac_exeext conftest.$ac_ext
     3829            CXXFLAGS=
     3830          ;;
     3831        esac
    38203832    esac
    38213833  fi
     
    41694181  clang* ) ;;
    41704182  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4171 
    4172  case $build in
     4183    case $build in
    41734184  *-mingw*)
    41744185    if test "${LD+set}" = set; then :; else
     
    41774188    ;;
    41784189 esac
    4179  if test $enable_msvc = yes ; then
    4180    if test "x${LD+set}" = xset; then :; else
    4181      LD=link
    4182    fi
    4183  fi
     4190 case $enable_doscompile in
     4191   msvc)
     4192     if test "x${LD+set}" = xset; then :; else
     4193       LD=link
     4194     fi
     4195     ;;
     4196 esac
    41844197
    41854198    ;;
    41864199esac
    4187 
    4188 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4189 if test x$use_static_standardlibs != xno ; then
    4190   case $build in
    4191     *-mingw*)
    4192       static_standardlib_flag=-static
    4193       ;;
    4194     *)
    4195       static_standardlib_flag=-static-libstdc++
    4196       ;;
    4197   esac
    4198   case " $LDFLAGS " in
    4199     *" $static_standardlib_flag "* ) ;;
    4200     *)
    4201     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4202 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4203     coin_save_LDFLAGS="$LDFLAGS"
    4204     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4205     cat >conftest.$ac_ext <<_ACEOF
    4206 /* confdefs.h.  */
    4207 _ACEOF
    4208 cat confdefs.h >>conftest.$ac_ext
    4209 cat >>conftest.$ac_ext <<_ACEOF
    4210 /* end confdefs.h.  */
    4211 
    4212 int
    4213 main ()
    4214 {
    4215 int i=0;
    4216   ;
    4217   return 0;
    4218 }
    4219 _ACEOF
    4220 rm -f conftest.$ac_objext conftest$ac_exeext
    4221 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4222   (eval $ac_link) 2>conftest.er1
    4223   ac_status=$?
    4224   grep -v '^ *+' conftest.er1 >conftest.err
    4225   rm -f conftest.er1
    4226   cat conftest.err >&5
    4227   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4228   (exit $ac_status); } &&
    4229          { ac_try='test -z "$ac_cxx_werror_flag"
    4230                          || test ! -s conftest.err'
    4231   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4232   (eval $ac_try) 2>&5
    4233   ac_status=$?
    4234   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4235   (exit $ac_status); }; } &&
    4236          { ac_try='test -s conftest$ac_exeext'
    4237   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4238   (eval $ac_try) 2>&5
    4239   ac_status=$?
    4240   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4241   (exit $ac_status); }; }; then
    4242   echo "$as_me:$LINENO: result: yes" >&5
    4243 echo "${ECHO_T}yes" >&6
    4244 else
    4245   echo "$as_me: failed program was:" >&5
    4246 sed 's/^/| /' conftest.$ac_ext >&5
    4247 
    4248 echo "$as_me:$LINENO: result: no" >&5
    4249 echo "${ECHO_T}no" >&6
    4250        LDFLAGS="$coin_save_LDFLAGS"
    4251        if test $use_static_standardlibs = yes ; then
    4252          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4253 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4254    { (exit 1); exit 1; }; }
    4255        fi
    4256 
    4257 fi
    4258 rm -f conftest.err conftest.$ac_objext \
    4259       conftest$ac_exeext conftest.$ac_ext
    4260     ;;
    4261   esac
    4262 fi
    42634200
    42644201ac_ext=c
     
    62286165*-*-irix6*)
    62296166  # Find out which ABI we are using.
    6230   echo '#line 6230 "configure"' > conftest.$ac_ext
     6167  echo '#line 6167 "configure"' > conftest.$ac_ext
    62316168  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62326169  (eval $ac_compile) 2>&5
     
    73627299
    73637300# Provide some information about the compiler.
    7364 echo "$as_me:7364:" \
     7301echo "$as_me:7301:" \
    73657302     "checking for Fortran 77 compiler version" >&5
    73667303ac_compiler=`set X $ac_compile; echo $2`
     
    84298366   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84308367   -e 's:$: $lt_compiler_flag:'`
    8431    (eval echo "\"\$as_me:8431: $lt_compile\"" >&5)
     8368   (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
    84328369   (eval "$lt_compile" 2>conftest.err)
    84338370   ac_status=$?
    84348371   cat conftest.err >&5
    8435    echo "$as_me:8435: \$? = $ac_status" >&5
     8372   echo "$as_me:8372: \$? = $ac_status" >&5
    84368373   if (exit $ac_status) && test -s "$ac_outfile"; then
    84378374     # The compiler can only warn and ignore the option if not recognized
     
    86978634   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86988635   -e 's:$: $lt_compiler_flag:'`
    8699    (eval echo "\"\$as_me:8699: $lt_compile\"" >&5)
     8636   (eval echo "\"\$as_me:8636: $lt_compile\"" >&5)
    87008637   (eval "$lt_compile" 2>conftest.err)
    87018638   ac_status=$?
    87028639   cat conftest.err >&5
    8703    echo "$as_me:8703: \$? = $ac_status" >&5
     8640   echo "$as_me:8640: \$? = $ac_status" >&5
    87048641   if (exit $ac_status) && test -s "$ac_outfile"; then
    87058642     # The compiler can only warn and ignore the option if not recognized
     
    88018738   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88028739   -e 's:$: $lt_compiler_flag:'`
    8803    (eval echo "\"\$as_me:8803: $lt_compile\"" >&5)
     8740   (eval echo "\"\$as_me:8740: $lt_compile\"" >&5)
    88048741   (eval "$lt_compile" 2>out/conftest.err)
    88058742   ac_status=$?
    88068743   cat out/conftest.err >&5
    8807    echo "$as_me:8807: \$? = $ac_status" >&5
     8744   echo "$as_me:8744: \$? = $ac_status" >&5
    88088745   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    88098746   then
     
    1114611083  lt_status=$lt_dlunknown
    1114711084  cat > conftest.$ac_ext <<EOF
    11148 #line 11148 "configure"
     11085#line 11085 "configure"
    1114911086#include "confdefs.h"
    1115011087
     
    1124611183  lt_status=$lt_dlunknown
    1124711184  cat > conftest.$ac_ext <<EOF
    11248 #line 11248 "configure"
     11185#line 11185 "configure"
    1124911186#include "confdefs.h"
    1125011187
     
    1359013527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1359113528   -e 's:$: $lt_compiler_flag:'`
    13592    (eval echo "\"\$as_me:13592: $lt_compile\"" >&5)
     13529   (eval echo "\"\$as_me:13529: $lt_compile\"" >&5)
    1359313530   (eval "$lt_compile" 2>conftest.err)
    1359413531   ac_status=$?
    1359513532   cat conftest.err >&5
    13596    echo "$as_me:13596: \$? = $ac_status" >&5
     13533   echo "$as_me:13533: \$? = $ac_status" >&5
    1359713534   if (exit $ac_status) && test -s "$ac_outfile"; then
    1359813535     # The compiler can only warn and ignore the option if not recognized
     
    1369413631   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1369513632   -e 's:$: $lt_compiler_flag:'`
    13696    (eval echo "\"\$as_me:13696: $lt_compile\"" >&5)
     13633   (eval echo "\"\$as_me:13633: $lt_compile\"" >&5)
    1369713634   (eval "$lt_compile" 2>out/conftest.err)
    1369813635   ac_status=$?
    1369913636   cat out/conftest.err >&5
    13700    echo "$as_me:13700: \$? = $ac_status" >&5
     13637   echo "$as_me:13637: \$? = $ac_status" >&5
    1370113638   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1370213639   then
     
    1526415201   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1526515202   -e 's:$: $lt_compiler_flag:'`
    15266    (eval echo "\"\$as_me:15266: $lt_compile\"" >&5)
     15203   (eval echo "\"\$as_me:15203: $lt_compile\"" >&5)
    1526715204   (eval "$lt_compile" 2>conftest.err)
    1526815205   ac_status=$?
    1526915206   cat conftest.err >&5
    15270    echo "$as_me:15270: \$? = $ac_status" >&5
     15207   echo "$as_me:15207: \$? = $ac_status" >&5
    1527115208   if (exit $ac_status) && test -s "$ac_outfile"; then
    1527215209     # The compiler can only warn and ignore the option if not recognized
     
    1536815305   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1536915306   -e 's:$: $lt_compiler_flag:'`
    15370    (eval echo "\"\$as_me:15370: $lt_compile\"" >&5)
     15307   (eval echo "\"\$as_me:15307: $lt_compile\"" >&5)
    1537115308   (eval "$lt_compile" 2>out/conftest.err)
    1537215309   ac_status=$?
    1537315310   cat out/conftest.err >&5
    15374    echo "$as_me:15374: \$? = $ac_status" >&5
     15311   echo "$as_me:15311: \$? = $ac_status" >&5
    1537515312   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1537615313   then
     
    1757517512   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1757617513   -e 's:$: $lt_compiler_flag:'`
    17577    (eval echo "\"\$as_me:17577: $lt_compile\"" >&5)
     17514   (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
    1757817515   (eval "$lt_compile" 2>conftest.err)
    1757917516   ac_status=$?
    1758017517   cat conftest.err >&5
    17581    echo "$as_me:17581: \$? = $ac_status" >&5
     17518   echo "$as_me:17518: \$? = $ac_status" >&5
    1758217519   if (exit $ac_status) && test -s "$ac_outfile"; then
    1758317520     # The compiler can only warn and ignore the option if not recognized
     
    1784317780   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1784417781   -e 's:$: $lt_compiler_flag:'`
    17845    (eval echo "\"\$as_me:17845: $lt_compile\"" >&5)
     17782   (eval echo "\"\$as_me:17782: $lt_compile\"" >&5)
    1784617783   (eval "$lt_compile" 2>conftest.err)
    1784717784   ac_status=$?
    1784817785   cat conftest.err >&5
    17849    echo "$as_me:17849: \$? = $ac_status" >&5
     17786   echo "$as_me:17786: \$? = $ac_status" >&5
    1785017787   if (exit $ac_status) && test -s "$ac_outfile"; then
    1785117788     # The compiler can only warn and ignore the option if not recognized
     
    1794717884   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1794817885   -e 's:$: $lt_compiler_flag:'`
    17949    (eval echo "\"\$as_me:17949: $lt_compile\"" >&5)
     17886   (eval echo "\"\$as_me:17886: $lt_compile\"" >&5)
    1795017887   (eval "$lt_compile" 2>out/conftest.err)
    1795117888   ac_status=$?
    1795217889   cat out/conftest.err >&5
    17953    echo "$as_me:17953: \$? = $ac_status" >&5
     17890   echo "$as_me:17890: \$? = $ac_status" >&5
    1795417891   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1795517892   then
     
    2148421421echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2148521422coin_link_input_cmd="$LN_S"
     21423if test "$enable_doscompile" = mingw; then
     21424  coin_link_input_cmd=cp
     21425fi
    2148621426case "$CC" in
    2148721427  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.